Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDomainModelNavigator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenNavigator

All Known Implementing Classes:
  GenNavigatorImpl

    public interface GenDomainModelNavigator

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Domain Model Navigator'.

The following features are supported:

- `Generate Domain Model Navigator`
- `Domain Content Extension ID`
- `Domain Content Extension Name`
- `Domain Content Extension Priority`
- `Domain Content Provider Class Name`
- `Domain Label Provider Class Name`
- `Domain Model Element Tester Class Name`
- `Domain Navigator Item Class Name`

See Also:
  `GMFGenPackage.getGenDomainModelNavigator()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getDomainContentExtensionID()` Returns the value of the 'Domain Content Extension ID' attribute
`java.lang.String` `getDomainContentExtensionName()` Returns the value of the 'Domain Content Extension Name' attribute
`java.lang.String` `getDomainContentExtensionPriority()` Returns the value of the 'Domain Content Extension Priority' attribute
`java.lang.String` `getDomainContentProviderClassName()` Returns the value of the 'Domain Content Provider Class Name' attribute
`java.lang.String` `getDomainContentProviderQualifiedClassName()`
`java.lang.String` `getDomainLabelProviderClassName()` Returns the value of the 'Domain Label Provider Class Name' attribute
`java.lang.String` `getDomainLabelProviderQualifiedClassName()`
`java.lang.String` `getDomainModelElementTesterClassName()` Returns the value of the 'Domain Model Element Tester Class Name' attribute
`java.lang.String` `getDomainModelElementTesterQualifiedClassName()`
`java.lang.String` `getDomainNavigatorItemClassName()` Returns the value of the 'Domain Navigator Item Class Name' attribute
`java.lang.String` `getDomainNavigatorItemQualifiedClassName()`
`boolean` `isGenerateDomainModelNavigator()` Returns the value of the 'Generate Domain Model Navigator' attribute.
`void` `setDomainContentExtensionID(java.lang.String value)` Sets the value of the '`Domain Content Extension ID`' attribute
`void` `setDomainContentExtensionName(java.lang.String value)` Sets the value of the '`Domain Content Extension Name`' attribute
`void` `setDomainContentExtensionPriority(java.lang.String value)` Sets the value of the '`Domain Content Extension Priority`' attribute
`void` `setDomainContentProviderClassName(java.lang.String value)` Sets the value of the '`Domain Content Provider Class Name`' attribute
`void` `setDomainLabelProviderClassName(java.lang.String value)` Sets the value of the '`Domain Label Provider Class Name`' attribute
`void` `setDomainModelElementTesterClassName(java.lang.String value)` Sets the value of the '`Domain Model Element Tester Class Name`' attribute
`void` `setDomainNavigatorItemClassName(java.lang.String value)` Sets the value of the '`Domain Navigator Item Class Name`' attribute
`void` `setGenerateDomainModelNavigator(boolean value)` Sets the value of the '`Generate Domain Model Navigator`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isGenerateDomainModelNavigator

    boolean isGenerateDomainModelNavigator()

  Returns the value of the 'Generate Domain Model Navigator' attribute. The default value is `"true"`.

  If the meaning of the 'Generate Domain Model Navigator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generate Domain Model Navigator' attribute.
  See Also:
    `setGenerateDomainModelNavigator(boolean)`, `GMFGenPackage.getGenDomainModelNavigator_GenerateDomainModelNavigator()`
  ** Generated **
  Model:
    default="true"

### setGenerateDomainModelNavigator

    void setGenerateDomainModelNavigator(boolean value)

  Sets the value of the '`Generate Domain Model Navigator`' attribute.

  Parameters:
    `value` - the new value of the 'Generate Domain Model Navigator' attribute.
  See Also:
    `isGenerateDomainModelNavigator()`
  ** Generated **

### getDomainContentExtensionID

    java.lang.String getDomainContentExtensionID()

  Returns the value of the 'Domain Content Extension ID' attribute.

  If the meaning of the 'Domain Content Extension ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Content Extension ID' attribute.
  See Also:
    `setDomainContentExtensionID(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionID()`
  ** Generated **
  Model:

### setDomainContentExtensionID

    void setDomainContentExtensionID(java.lang.String value)

  Sets the value of the '`Domain Content Extension ID`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Content Extension ID' attribute.
  See Also:
    `getDomainContentExtensionID()`
  ** Generated **

### getDomainContentExtensionName

    java.lang.String getDomainContentExtensionName()

  Returns the value of the 'Domain Content Extension Name' attribute.

  If the meaning of the 'Domain Content Extension Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Content Extension Name' attribute.
  See Also:
    `setDomainContentExtensionName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionName()`
  ** Generated **
  Model:

### setDomainContentExtensionName

    void setDomainContentExtensionName(java.lang.String value)

  Sets the value of the '`Domain Content Extension Name`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Content Extension Name' attribute.
  See Also:
    `getDomainContentExtensionName()`
  ** Generated **

### getDomainContentExtensionPriority

    java.lang.String getDomainContentExtensionPriority()

  Returns the value of the 'Domain Content Extension Priority' attribute.

  If the meaning of the 'Domain Content Extension Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Content Extension Priority' attribute.
  See Also:
    `setDomainContentExtensionPriority(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionPriority()`
  ** Generated **
  Model:

### setDomainContentExtensionPriority

    void setDomainContentExtensionPriority(java.lang.String value)

  Sets the value of the '`Domain Content Extension Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Content Extension Priority' attribute.
  See Also:
    `getDomainContentExtensionPriority()`
  ** Generated **

### getDomainContentProviderClassName

    java.lang.String getDomainContentProviderClassName()

  Returns the value of the 'Domain Content Provider Class Name' attribute.

  If the meaning of the 'Domain Content Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Content Provider Class Name' attribute.
  See Also:
    `setDomainContentProviderClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentProviderClassName()`
  ** Generated **
  Model:

### setDomainContentProviderClassName

    void setDomainContentProviderClassName(java.lang.String value)

  Sets the value of the '`Domain Content Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Content Provider Class Name' attribute.
  See Also:
    `getDomainContentProviderClassName()`
  ** Generated **

### getDomainLabelProviderClassName

    java.lang.String getDomainLabelProviderClassName()

  Returns the value of the 'Domain Label Provider Class Name' attribute.

  If the meaning of the 'Domain Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Label Provider Class Name' attribute.
  See Also:
    `setDomainLabelProviderClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainLabelProviderClassName()`
  ** Generated **
  Model:

### setDomainLabelProviderClassName

    void setDomainLabelProviderClassName(java.lang.String value)

  Sets the value of the '`Domain Label Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Label Provider Class Name' attribute.
  See Also:
    `getDomainLabelProviderClassName()`
  ** Generated **

### getDomainModelElementTesterClassName

    java.lang.String getDomainModelElementTesterClassName()

  Returns the value of the 'Domain Model Element Tester Class Name' attribute.

  If the meaning of the 'Domain Model Element Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Element Tester Class Name' attribute.
  See Also:
    `setDomainModelElementTesterClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainModelElementTesterClassName()`
  ** Generated **
  Model:

### setDomainModelElementTesterClassName

    void setDomainModelElementTesterClassName(java.lang.String value)

  Sets the value of the '`Domain Model Element Tester Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Model Element Tester Class Name' attribute.
  See Also:
    `getDomainModelElementTesterClassName()`
  ** Generated **

### getDomainNavigatorItemClassName

    java.lang.String getDomainNavigatorItemClassName()

  Returns the value of the 'Domain Navigator Item Class Name' attribute.

  If the meaning of the 'Domain Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Navigator Item Class Name' attribute.
  See Also:
    `setDomainNavigatorItemClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainNavigatorItemClassName()`
  ** Generated **
  Model:

### setDomainNavigatorItemClassName

    void setDomainNavigatorItemClassName(java.lang.String value)

  Sets the value of the '`Domain Navigator Item Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Navigator Item Class Name' attribute.
  See Also:
    `getDomainNavigatorItemClassName()`
  ** Generated **

### getDomainContentProviderQualifiedClassName

    java.lang.String getDomainContentProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDomainLabelProviderQualifiedClassName

    java.lang.String getDomainLabelProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDomainModelElementTesterQualifiedClassName

    java.lang.String getDomainModelElementTesterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDomainNavigatorItemQualifiedClassName

    java.lang.String getDomainNavigatorItemQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.